Last Comment Bug 252802 - Google search pops up sidebar
: Google search pops up sidebar
Status: RESOLVED FIXED
: fixed-seamonkey1.1a, relnote
Product: SeaMonkey
Classification: Client Software
Component: Sidebar (show other bugs)
: Trunk
: x86 All
: -- normal with 1 vote (vote)
: ---
Assigned To: Andrew Schultz
:
Mentors:
http://www.google.com
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-23 11:09 PDT by Greg Kemnitz
Modified: 2006-02-23 11:55 PST (History)
12 users (show)
csthomas: blocking‑seamonkey1.0a-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
turn the pref off by default (1.08 KB, patch)
2005-07-13 18:53 PDT, Chris Thomas (CTho) [formerly cst@andrew.cmu.edu cst@yecc.com]
jag-mozilla: review+
neil: superreview-
Details | Diff | Splinter Review
patch (3.56 KB, patch)
2006-02-01 20:31 PST, Andrew Schultz
no flags Details | Diff | Splinter Review
simplify UpdateInternetSearchResults more (4.23 KB, patch)
2006-02-04 23:38 PST, Andrew Schultz
jag-mozilla: review+
neil: superreview+
csthomas: approval‑seamonkey1.1a+
Details | Diff | Splinter Review

Description Greg Kemnitz 2004-07-23 11:09:27 PDT
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.8a2) Gecko/20040714
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.8a2) Gecko/20040714

The "sidebar" pops up if you do a search in Google in 1.8 alpha 2.



Reproducible: Always
Steps to Reproduce:
1.Go to Google
2.Do a search
3.

Actual Results:  
Sidebar will pop up.

Expected Results:  
No sidebar
Comment 1 R.K.Aa. 2004-07-23 11:14:19 PDT
Edit->Preferences->Internet Search:
Is "Open the Search tab in the Sidebar when search results are available" unchecked?
Comment 2 Greg Kemnitz 2004-07-23 12:09:47 PDT
Yes - it is.  After unchecking the check-box, it didn't do this anymore.
The only surprising thing was that it didn't do this before - is this
a new feature?  If so, the default should probably be unchecked, otherwise,
it "feels" like a bug since it is different from the old installation.
Comment 3 David Park 2004-07-23 13:22:05 PDT
It is not checked on mine and still comes up.
Comment 4 R.K.Aa. 2004-07-23 17:34:37 PDT
Comment 3 is missing build ID. I'm not aware of any changes in defaults.
But this is the third report of the phenomena in a month. Before that there
wasn't one for two years..

Fix for bug 229753 is the only related checkin of late, but judging by comments
it seems to be newer than the build this is reported with.

Resolving as dup of todays other bug to see if there's a trend here. (The third
report was bug 248624. Have people been testing bug 229753..?)

*** This bug has been marked as a duplicate of 252756 ***
Comment 5 Andrew Schultz 2005-05-07 15:07:55 PDT
reopening... bug 252756 was about using Mozilla's built-in search functions,
which are supposed to open the sidebar.
Comment 6 Andrew Schultz 2005-05-07 15:18:51 PDT
confirmed with linux trunk 2005050602
Comment 7 Justin Wood (:Callek) 2005-07-07 23:01:40 PDT
blocking, per Chris's request.
Comment 8 Chris Thomas (CTho) [formerly cst@andrew.cmu.edu cst@yecc.com] 2005-07-13 18:53:58 PDT
Created attachment 189253 [details] [diff] [review]
turn the pref off by default
Comment 9 neil@parkwaycc.co.uk 2005-07-14 02:55:02 PDT
Comment on attachment 189253 [details] [diff] [review]
turn the pref off by default

Chickening out...
Comment 10 neil@parkwaycc.co.uk 2005-07-14 02:57:16 PDT
Not a regression, see bug 229753
Comment 11 Benoît 2005-07-14 03:44:43 PDT
What do you mean, not a regression? This worked fine in all 1.7 builds.
bug 229753 deals with doing a search through the location bar.
This bug deals with searching on the Google site itself.
Comment 12 Hermann Schwab 2005-07-14 13:39:09 PDT
(In reply to comment #11)
> What do you mean, not a regression? This worked fine in all 1.7 builds.
> bug 229753 deals with doing a search through the location bar.
> This bug deals with searching on the Google site itself.

wfm, Mozilla/5.0 (Windows; U; Win98; en-US; rv:1.8b3) Gecko/20050714 SeaMonkey/1.0a

wfm. using the location bar for search, or using google.com.
If I try to use google.com, I get redirected to google.de,
but the search is ok, and sidebar stays closed.
Comment 13 jag (Peter Annema) 2005-07-14 23:34:42 PDT
Comment on attachment 189253 [details] [diff] [review]
turn the pref off by default

"code" change looks fine to me. I'll leave the final call on this to you, Neil
:-)
Comment 14 Benoît 2005-07-15 04:25:05 PDT
I finally narrowed down the cause of my problem.
See, in my searchplugins folder, I have the plug-in for GoogleBE_nl.

While I have this plug-in, and "Open Sidebar..." checked:
-Searching on Google.be pops up the sidebar, as well as showing the results on
the site.
-Searching via the location bar pops up the sidebar, as well as showing the
results on the site.

When I don't have this plug-in:
-Searching on Google.be shows the results on the site.
-Searching via the location bar pops up the sidebar.

I think the real issue here is the search plug-ins, and how they are handled.
The reporter probably uses Google.com, and its search plug-in.
Comment 15 Benoît 2005-07-15 04:28:14 PDT
Correction: searching via the location bar (with the Google.com plug-in) without
my search plug-in pops up the sidebar AND shows the results on the Google.com site.
Comment 16 neil@parkwaycc.co.uk 2005-07-15 05:47:22 PDT
(In reply to comment #12)
>If I try to use google.com, I get redirected to google.de,
>but the search is ok, and sidebar stays closed.
Ah, but if you install the google.de plugin then it will trigger the auto-open.
Comment 17 Chris Thomas (CTho) [formerly cst@andrew.cmu.edu cst@yecc.com] 2005-07-23 11:03:12 PDT
Will relnote for 1.0a, but not block.
Comment 18 Chris Thomas (CTho) [formerly cst@andrew.cmu.edu cst@yecc.com] 2005-07-23 15:17:50 PDT
http://lxr.mozilla.org/seamonkey/source/xpfe/components/search/src/nsInternetSearchService.cpp#2812
Could this search be modified to search for the
"&client=mozilla&rls=org.mozilla:en-US:unofficial" that we add to the URL when
you do a search from the URL bar instead of Google's page?
Comment 19 Chris Thomas (CTho) [formerly cst@andrew.cmu.edu cst@yecc.com] 2005-09-16 22:31:26 PDT
Based on some discussion on IRC, this may be by design.
Comment 20 Benoît 2005-09-17 04:41:41 PDT
If so, it would be very bad design, in my opinion.
Come on, you search on Google.com, and you get TWO instances of results?

Not to mention that the Search mentioned wouldn't be a search on a website.
Comment 21 Chris Thomas (CTho) [formerly cst@andrew.cmu.edu cst@yecc.com] 2005-10-15 19:55:42 PDT
Can we please just flip the pref off?  I always have to show my friends how to
disable sidebar... I'd imagine they represent more people than the few
developers who like it.  Those developers know where the pref is.
Comment 22 Benoît 2005-10-16 04:32:44 PDT
I personally think it should be fixed instead of being thrown in the 'forget
bin'. I'm not a Mozilla developer, but I think it shouldn't be too hard to fix.
I think it would be fixed by removing the link between the sidebar search and
the searching done on the site.
Comment 23 Chris Thomas (CTho) [formerly cst@andrew.cmu.edu cst@yecc.com] 2005-10-16 07:56:10 PDT
(In reply to comment #22)
> I personally think it should be fixed instead of being thrown in the 'forget
> bin'. I'm not a Mozilla developer, but I think it shouldn't be too hard to fix.
> I think it would be fixed by removing the link between the sidebar search and
> the searching done on the site.

Lots of things seem like they should be easy until you actually see the code.
Comment 24 Benoît 2005-12-20 06:26:15 PST
I've been trying to track down the regression window, without luck.

The earliest trunk build available for Windows, 20041005, shows this behavior, as well as 1.7 Final, and 1.6 Final.
Comment 25 Bruno 'Aqualon' Escherl 2006-01-30 15:41:02 PST
With browser.search.opensidebarsearchpanel set to true, any search engine, that is added to the SeaMonkey search list via window.sidebar.addSearchEngine() shows this behaviour. Eg. open dmoz.org with google.com as default search, make a search and the sidebar will still popup.
Comment 26 Benoît 2006-01-31 09:21:08 PST
Yeah, that's known. At least by me. When a page is loaded, the search component is loaded, and it checks all the installed search engines for a math with the URL. Every time.
Comment 27 Andrew Schultz 2006-01-31 23:52:18 PST
==> me

I have a patch that explicitly opens the search panel if URL bar search is invoked from the autocomplete popup.  But the text in the pref panel is no longer appropriate --"Open the Search tab in the Sidebar when search results are available"

"...when a search is invoked" ?
Comment 28 Andrew Schultz 2006-02-01 20:31:23 PST
Created attachment 210443 [details] [diff] [review]
patch

We'll still switch to the search tab within the sidebar if you manually search google (if the pref is set), but only if the sidebar is already open.
Comment 29 neil@parkwaycc.co.uk 2006-02-04 16:11:31 PST
Comment on attachment 210443 [details] [diff] [review]
patch

You seem to have forgotton the search button.
Comment 30 Andrew Schultz 2006-02-04 16:44:48 PST
Comment on attachment 210443 [details] [diff] [review]
patch

> You seem to have forgotton the search button.

http://lxr.mozilla.org/seamonkey/source/xpfe/browser/resources/content/navigator.xul#226

Search button goes the OpenSearch which still opens the search sidebar if the pref is set.

http://lxr.mozilla.org/seamonkey/source/xpfe/browser/resources/content/navigator.js#1098
Comment 31 Andrew Schultz 2006-02-04 23:38:51 PST
Created attachment 210740 [details] [diff] [review]
simplify UpdateInternetSearchResults more

Neil pointed out that checking the pref in UpdateInternetSearchResults was pointless
Comment 32 Andrew Schultz 2006-02-05 08:31:53 PST
fixed
Comment 33 Pacho Ramos 2006-02-15 06:10:17 PST
I think that this option should be unchecked by default

Thanks
Comment 34 Benoît 2006-02-15 09:22:20 PST
Sorry, but the module owner can't be convinced of that.
Besides, with this patch, it doesn't really matter anymore.

Note You need to log in before you can comment on or make changes to this bug.